'use strict';

const expect = require('chai').expect;
const constants = require('./utils/constants');
const cliWrapper = require('./utils/cli-wrapper');
const message = require('./utils/messages');
const fs = require("fs");
let skillId;
const timeout = 80000;

describe('# get skill tests', function() {
    this.timeout(timeout);
    it ('| get skill with valid skill id', (done) => {
        cliWrapper.callGetSkill(constants.testData.VALID_SKILL_ID, constants.testData.DEVELOPMENT_STAGE, constants.testData.PROFILE, (error, stdout, stderr) => {
            if (error) {
                console.log(error);
                done(error);
            } else {
                fs.readFile("./test/functional/fixture/custom-skill/skill.json", 'utf8', function (err, data) {
                    if (err) throw err;
                    const expectedSkillDef = JSON.parse(data)
                    const actualSkillDef = JSON.parse(stdout);
                    expect(actualSkillDef).to.be.deep.equal(expectedSkillDef);
                    done();
                });
            }
        });
    });

    it ('| get skill with invalid skill id', (done) => {
        cliWrapper.callGetSkill(constants.testData.INVALID_SKILL_ID, constants.testData.DEVELOPMENT_STAGE, constants.testData.PROFILE, (error, stdout, stderr) => {
            expect(error);
            expect(stderr.startsWith(message.GET_SKILL_ERROR_MSG) > -1).equal(true);
            done();
        });
    });
});

